Summary: GNUnet is a framework for secure peer-to-peer networking.
Name: GNUnet
Version: 0.6.5
Release: 1.1
Copyright: GPL
Group: Applications/Communications
Provides: gnunet
Requires: libgmp3 >= 4.1.3, libgmp3-devel >= 4.1.3, libltdl3 >= 1.4.3, openssl >= 0.95
Source: http://www.ovmj.org/GNUnet/download/GNUnet-%{version}.tar.bz2
URL: http://www.ovmj.org/GNUnet/
Distribution: Mandrake Linux 10.0
Vendor: GNUnet
Packager: Octvio Filipe Gonalves <merlin@magicbrain.biz>

%description
GNUnet is a framework for secure peer-to-peer networking that does not use any centralized or otherwise trusted services. A first service implemented on top of the networking layer allows anonymous censorship-resistant file-sharing. GNUnet uses a simple, excess-based economic model to allocate resources.
Peers in GNUnet monitor each others behavior with respect to resource usage.
Peers that contribute to the network are rewarded with better service.

GNUnet is part of the GNU project. Our official GNU website can be found at http://www.gnu.org/software/gnunet/
GNUnet can be downloaded from this site or the GNU mirrors.

Official Websites:
http://www.gnu.org/software/GNUnet/ and
http://www.ovmj.org/GNUnet/

%prep
rm -rf $RPM_BUILD_DIR/GNUnet-0.6.5
zcat $RPM_SOURCE_DIR/GNUnet-0.6.5.tar.gz | tar -xvf -
%setup -q

%build
./configure --with-crypto=/usr/bin
make

%install
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README
/usr/local/bin/gnunet-chat
/usr/local/bin/gnunet-check
/usr/local/bin/gnunet-convert
/usr/local/bin/gnunet-delete
/usr/local/bin/gnunet-download
/usr/local/bin/gnunet-insert
/usr/local/bin/gnunet-peer-info
/usr/local/bin/gnunet-search
/usr/local/bin/gnunet-setup
/usr/local/bin/gnunet-stats
/usr/local/bin/gnunet-tbench
/usr/local/bin/gnunet-testbed
/usr/local/bin/gnunet-tracekit
/usr/local/bin/gnunet-transport-check
/usr/local/bin/gnunetd
/usr/local/lib/libgnunet_afs_esed2.la
/usr/local/lib/libgnunet_afs_esed2.so
/usr/local/lib/libgnunet_afs_esed2.so.0
/usr/local/lib/libgnunet_afs_esed2.so.0.0.0
/usr/local/lib/libgnunetafs_database_bdb.la
/usr/local/lib/libgnunetafs_database_bdb.so
/usr/local/lib/libgnunetafs_database_directory.la
/usr/local/lib/libgnunetafs_database_directory.so
/usr/local/lib/libgnunetafs_protocol.la
/usr/local/lib/libgnunetafs_protocol.so
/usr/local/lib/libgnunettracekit_protocol.la
/usr/local/lib/libgnunettracekit_protocol.so
/usr/local/lib/libgnunetchat_protocol.la
/usr/local/lib/libgnunetchat_protocol.so
/usr/local/lib/libgnunettbench_protocol.la
/usr/local/lib/libgnunettbench_protocol.so
/usr/local/lib/libgnunettransport_http.la
/usr/local/lib/libgnunettransport_http.so
/usr/local/lib/libgnunettransport_nat.la
/usr/local/lib/libgnunettransport_nat.so
/usr/local/lib/libgnunettransport_smtp.la
/usr/local/lib/libgnunettransport_smtp.so
/usr/local/lib/libgnunettransport_tcp.la
/usr/local/lib/libgnunettransport_tcp.so
/usr/local/lib/libgnunettransport_udp.la
/usr/local/lib/libgnunettransport_udp.so
/usr/local/lib/libgnunetutil.la
/usr/local/lib/libgnunetutil.so
/usr/local/lib/libgnunetutil.so.0
/usr/local/lib/libgnunetutil.so.0.0.0
/usr/local/lib/libltdl.so
/usr/local/lib/libltdl.la
/usr/local/lib/libltdl.a
/etc/gnunet.conf
/usr/local/man/man1/gnunet-chat.1
/usr/local/man/man1/gnunet-check.1
/usr/local/man/man1/gnunet-convert.1
/usr/local/man/man1/gnunet-delete.1
/usr/local/man/man1/gnunet-download.1
/usr/local/man/man1/gnunet-gtk.1
/usr/local/man/man1/gnunet-insert.1
/usr/local/man/man1/gnunet-peer-info.1
/usr/local/man/man1/gnunet-search.1
/usr/local/man/man1/gnunet-stats.1
/usr/local/man/man1/gnunet-tbench.1
/usr/local/man/man1/gnunet-testbed.1
/usr/local/man/man1/gnunet-tracekit.1
/usr/local/man/man1/gnunet-transport-check.1
/usr/local/man/man1/gnunetd.1
/usr/local/man/man5/gnunet.conf.5

%changelog
* Thu Dec 16 2004 Octvio Filipe Gonalves <merlin@magicbrain.biz> GNUnet-0.6.5-1.i586.rpm
-Prepare, compile and finish Second Release v1.1

* Sun Dec 12 2004 Octvio Filipe Gonalves <merlin@magicbrain.biz> GNUnet-0.6.5-1.i586.rpm
- Finish SPEC File First Release

* Sun Dec 12 2004 Octvio Filipe Gonalves <merlin@magicbrain.biz> GNUnet-0.6.5-1.i586.rpm
- First Release of GNUnet-0.6.5-1.i586.rpm

* Sat Dec 11 2004 Octvio Filipe Gonalves <merlin@magicbrain.biz> GNUnet-0.6.5-1.i586.rpm
- Start SPEC File
